__all__ = [
    'get_tpi_state'
]


def get_tpi_state(arr):
    """ Extract the closed (True) or opened (False) state of the train picker
        from the hardwareStatusBitField
        
        Parameters
        ----------
        arr: array
            the array of hardwareStatusBitField values
        
        Returns
        -------
        tpi_state: boolean array
            the tpi state
    """
    return arr & (1 << 9) > 0
